Package com.independentsoft.office.drawing.tables

# Class Cell

java.lang.Object
com.independentsoft.office.drawing.tables.Cell

public class Cell extends Object
The Class Cell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Cell()`
  Instantiates a new cell.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Cell`
  `clone()`
  `TextAnchoringType`
  `getAnchor()`
  Gets the anchor.
  `BottomBorderLine`
  `getBottomBorderLine()`
  Gets the bottom border line.
  `BottomLeftToTopRightBorderLine`
  `getBottomLeftToTopRightBorderLine()`
  Gets the bottom left to top right border line.
  `int`
  `getBottomMargin()`
  Gets the bottom margin.
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `GradientFill`
  `getGradientFill()`
  Gets the gradient fill.
  `int`
  `getGridSpan()`
  Gets the grid span.
  `GroupFill`
  `getGroupFill()`
  Gets the group fill.
  `TextHorizontalOverflowType`
  `getHorizontalOverflow()`
  Gets the horizontal overflow.
  `LeftBorderLine`
  `getLeftBorderLine()`
  Gets the left border line.
  `int`
  `getLeftMargin()`
  Gets the left margin.
  `NoFill`
  `getNoFill()`
  Gets the no fill.
  `PatternFill`
  `getPatternFill()`
  Gets the pattern fill.
  `PictureFill`
  `getPictureFill()`
  Gets the picture fill.
  `RightBorderLine`
  `getRightBorderLine()`
  Gets the right border line.
  `int`
  `getRightMargin()`
  Gets the right margin.
  `int`
  `getRowSpan()`
  Gets the row span.
  `ShapeTextBody`
  `getShapeTextBody()`
  Gets the shape text body.
  `SolidFill`
  `getSolidFill()`
  Gets the solid fill.
  `TopBorderLine`
  `getTopBorderLine()`
  Gets the top border line.
  `TopLeftToBottomRightBorderLine`
  `getTopLeftToBottomRightBorderLine()`
  Gets the top left to bottom right border line.
  `int`
  `getTopMargin()`
  Gets the top margin.
  `VerticalTextType`
  `getVerticalText()`
  Gets the vertical text.
  `boolean`
  `isCenterAnchor()`
  Checks if is center anchor.
  `boolean`
  `isHorizontalMerge()`
  Checks if is horizontal merge.
  `boolean`
  `isVerticalMerge()`
  Checks if is vertical merge.
  `void`
  `setAnchor​(TextAnchoringType anchor)`
  Sets the anchor.
  `void`
  `setBottomBorderLine​(BottomBorderLine bottomBorderLine)`
  Sets the bottom border line.
  `void`
  `setBottomLeftToTopRightBorderLine​(BottomLeftToTopRightBorderLine bottomLeftToTopRightBorderLine)`
  Sets the bottom left to top right border line.
  `void`
  `setBottomMargin​(int bottomMargin)`
  Sets the bottom margin.
  `void`
  `setCenterAnchor​(boolean centerAnchor)`
  Sets the center anchor.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setGradientFill​(GradientFill gradientFill)`
  Sets the gradient fill.
  `void`
  `setGridSpan​(int gridSpan)`
  Sets the grid span.
  `void`
  `setGroupFill​(GroupFill groupFill)`
  Sets the group fill.
  `void`
  `setHorizontalMerge​(boolean horizontalMerge)`
  Sets the horizontal merge.
  `void`
  `setHorizontalOverflow​(TextHorizontalOverflowType horizontalOverflow)`
  Sets the horizontal overflow.
  `void`
  `setLeftBorderLine​(LeftBorderLine leftBorderLine)`
  Sets the left border line.
  `void`
  `setLeftMargin​(int leftMargin)`
  Sets the left margin.
  `void`
  `setNoFill​(NoFill noFill)`
  Sets the no fill.
  `void`
  `setPatternFill​(PatternFill patternFill)`
  Sets the pattern fill.
  `void`
  `setPictureFill​(PictureFill pictureFill)`
  Sets the picture fill.
  `void`
  `setRightBorderLine​(RightBorderLine rightBorderLine)`
  Sets the right border line.
  `void`
  `setRightMargin​(int rightMargin)`
  Sets the right margin.
  `void`
  `setRowSpan​(int rowSpan)`
  Sets the row span.
  `void`
  `setShapeTextBody​(ShapeTextBody shapeTextBody)`
  Sets the shape text body.
  `void`
  `setSolidFill​(SolidFill solidFill)`
  Sets the solid fill.
  `void`
  `setTopBorderLine​(TopBorderLine topBorderLine)`
  Sets the top border line.
  `void`
  `setTopLeftToBottomRightBorderLine​(TopLeftToBottomRightBorderLine topLeftToBottomRightBorderLine)`
  Sets the top left to bottom right border line.
  `void`
  `setTopMargin​(int topMargin)`
  Sets the top margin.
  `void`
  `setVerticalMerge​(boolean verticalMerge)`
  Sets the vertical merge.
  `void`
  `setVerticalText​(VerticalTextType verticalText)`
  Sets the vertical text.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Cell

    public Cell()
    Instantiates a new cell.

- ## Method Details

  - ### clone

    public Cell clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getShapeTextBody

    public ShapeTextBody getShapeTextBody()
    Gets the shape text body.
    Returns:
      the shape text body

  - ### setShapeTextBody

    public void setShapeTextBody​(ShapeTextBody shapeTextBody)
    Sets the shape text body.
    Parameters:
      `shapeTextBody` - the new shape text body

  - ### getPictureFill

    public PictureFill getPictureFill()
    Gets the picture fill.
    Returns:
      the picture fill

  - ### setPictureFill

    public void setPictureFill​(PictureFill pictureFill)
    Sets the picture fill.
    Parameters:
      `pictureFill` - the new picture fill

  - ### getGradientFill

    public GradientFill getGradientFill()
    Gets the gradient fill.
    Returns:
      the gradient fill

  - ### setGradientFill

    public void setGradientFill​(GradientFill gradientFill)
    Sets the gradient fill.
    Parameters:
      `gradientFill` - the new gradient fill

  - ### getGroupFill

    public GroupFill getGroupFill()
    Gets the group fill.
    Returns:
      the group fill

  - ### setGroupFill

    public void setGroupFill​(GroupFill groupFill)
    Sets the group fill.
    Parameters:
      `groupFill` - the new group fill

  - ### getNoFill

    public NoFill getNoFill()
    Gets the no fill.
    Returns:
      the no fill

  - ### setNoFill

    public void setNoFill​(NoFill noFill)
    Sets the no fill.
    Parameters:
      `noFill` - the new no fill

  - ### getPatternFill

    public PatternFill getPatternFill()
    Gets the pattern fill.
    Returns:
      the pattern fill

  - ### setPatternFill

    public void setPatternFill​(PatternFill patternFill)
    Sets the pattern fill.
    Parameters:
      `patternFill` - the new pattern fill

  - ### getSolidFill

    public SolidFill getSolidFill()
    Gets the solid fill.
    Returns:
      the solid fill

  - ### setSolidFill

    public void setSolidFill​(SolidFill solidFill)
    Sets the solid fill.
    Parameters:
      `solidFill` - the new solid fill

  - ### getBottomBorderLine

    public BottomBorderLine getBottomBorderLine()
    Gets the bottom border line.
    Returns:
      the bottom border line

  - ### setBottomBorderLine

    public void setBottomBorderLine​(BottomBorderLine bottomBorderLine)
    Sets the bottom border line.
    Parameters:
      `bottomBorderLine` - the new bottom border line

  - ### getBottomLeftToTopRightBorderLine

    public BottomLeftToTopRightBorderLine getBottomLeftToTopRightBorderLine()
    Gets the bottom left to top right border line.
    Returns:
      the bottom left to top right border line

  - ### setBottomLeftToTopRightBorderLine

    public void setBottomLeftToTopRightBorderLine​(BottomLeftToTopRightBorderLine bottomLeftToTopRightBorderLine)
    Sets the bottom left to top right border line.
    Parameters:
      `bottomLeftToTopRightBorderLine` - the new bottom left to top right border line

  - ### getLeftBorderLine

    public LeftBorderLine getLeftBorderLine()
    Gets the left border line.
    Returns:
      the left border line

  - ### setLeftBorderLine

    public void setLeftBorderLine​(LeftBorderLine leftBorderLine)
    Sets the left border line.
    Parameters:
      `leftBorderLine` - the new left border line

  - ### getRightBorderLine

    public RightBorderLine getRightBorderLine()
    Gets the right border line.
    Returns:
      the right border line

  - ### setRightBorderLine

    public void setRightBorderLine​(RightBorderLine rightBorderLine)
    Sets the right border line.
    Parameters:
      `rightBorderLine` - the new right border line

  - ### getTopBorderLine

    public TopBorderLine getTopBorderLine()
    Gets the top border line.
    Returns:
      the top border line

  - ### setTopBorderLine

    public void setTopBorderLine​(TopBorderLine topBorderLine)
    Sets the top border line.
    Parameters:
      `topBorderLine` - the new top border line

  - ### getTopLeftToBottomRightBorderLine

    public TopLeftToBottomRightBorderLine getTopLeftToBottomRightBorderLine()
    Gets the top left to bottom right border line.
    Returns:
      the top left to bottom right border line

  - ### setTopLeftToBottomRightBorderLine

    public void setTopLeftToBottomRightBorderLine​(TopLeftToBottomRightBorderLine topLeftToBottomRightBorderLine)
    Sets the top left to bottom right border line.
    Parameters:
      `topLeftToBottomRightBorderLine` - the new top left to bottom right border line

  - ### getAnchor

    public TextAnchoringType getAnchor()
    Gets the anchor.
    Returns:
      the anchor

  - ### setAnchor

    public void setAnchor​(TextAnchoringType anchor)
    Sets the anchor.
    Parameters:
      `anchor` - the new anchor

  - ### isCenterAnchor

    public boolean isCenterAnchor()
    Checks if is center anchor.
    Returns:
      true, if is center anchor

  - ### setCenterAnchor

    public void setCenterAnchor​(boolean centerAnchor)
    Sets the center anchor.
    Parameters:
      `centerAnchor` - the new center anchor

  - ### getHorizontalOverflow

    public TextHorizontalOverflowType getHorizontalOverflow()
    Gets the horizontal overflow.
    Returns:
      the horizontal overflow

  - ### setHorizontalOverflow

    public void setHorizontalOverflow​(TextHorizontalOverflowType horizontalOverflow)
    Sets the horizontal overflow.
    Parameters:
      `horizontalOverflow` - the new horizontal overflow

  - ### getBottomMargin

    public int getBottomMargin()
    Gets the bottom margin.
    Returns:
      the bottom margin

  - ### setBottomMargin

    public void setBottomMargin​(int bottomMargin)
    Sets the bottom margin.
    Parameters:
      `bottomMargin` - the new bottom margin

  - ### getLeftMargin

    public int getLeftMargin()
    Gets the left margin.
    Returns:
      the left margin

  - ### setLeftMargin

    public void setLeftMargin​(int leftMargin)
    Sets the left margin.
    Parameters:
      `leftMargin` - the new left margin

  - ### getRightMargin

    public int getRightMargin()
    Gets the right margin.
    Returns:
      the right margin

  - ### setRightMargin

    public void setRightMargin​(int rightMargin)
    Sets the right margin.
    Parameters:
      `rightMargin` - the new right margin

  - ### getTopMargin

    public int getTopMargin()
    Gets the top margin.
    Returns:
      the top margin

  - ### setTopMargin

    public void setTopMargin​(int topMargin)
    Sets the top margin.
    Parameters:
      `topMargin` - the new top margin

  - ### getVerticalText

    public VerticalTextType getVerticalText()
    Gets the vertical text.
    Returns:
      the vertical text

  - ### setVerticalText

    public void setVerticalText​(VerticalTextType verticalText)
    Sets the vertical text.
    Parameters:
      `verticalText` - the new vertical text

  - ### getGridSpan

    public int getGridSpan()
    Gets the grid span.
    Returns:
      the grid span

  - ### setGridSpan

    public void setGridSpan​(int gridSpan)
    Sets the grid span.
    Parameters:
      `gridSpan` - the new grid span

  - ### isHorizontalMerge

    public boolean isHorizontalMerge()
    Checks if is horizontal merge.
    Returns:
      true, if is horizontal merge

  - ### setHorizontalMerge

    public void setHorizontalMerge​(boolean horizontalMerge)
    Sets the horizontal merge.
    Parameters:
      `horizontalMerge` - the new horizontal merge

  - ### getRowSpan

    public int getRowSpan()
    Gets the row span.
    Returns:
      the row span

  - ### setRowSpan

    public void setRowSpan​(int rowSpan)
    Sets the row span.
    Parameters:
      `rowSpan` - the new row span

  - ### isVerticalMerge

    public boolean isVerticalMerge()
    Checks if is vertical merge.
    Returns:
      true, if is vertical merge

  - ### setVerticalMerge

    public void setVerticalMerge​(boolean verticalMerge)
    Sets the vertical merge.
    Parameters:
      `verticalMerge` - the new vertical merge